haproxy:
  proxy:
    enabled: true
    userlist:
      sample_userlist:
        name: registry_users
        groups:
          - name: 'g1'
          - name: 'g2'
        users:
          - name: user1
            password: r00tme
            groups: [ 'g1' ]
          - name: user2
            password: rootme
            insecure_password: True
    listen:
      sample_service:
        acl:
          auth_reg: "http_auth(${haproxy:proxy:userlist:sample_userlist:name})"
        mode: http
        options:
          - forwardfor
          - httpclose
          - httplog
        balance: source
        http_request:
          - action: auth
            condition: 'if !auth_reg'
        binds:
          - address: 127.0.0.1
            port: 8000
        servers:
          - name: test1
            host: localhost
            port: 15001
          - name: test2
            host: localhost
            port: 15001

# For haproxy/meta/sensu.yml
linux:
  network:
    fqdn: linux.ci.local
